Skip to main content
GET
https://{tenantDomain}/api/v2
/
groups
/
{id}
/
roles
Get a group's roles
curl --request GET \
  --url https://{tenantDomain}/api/v2/groups/{id}/roles \
  --header 'Authorization: Bearer <token>'
{
  "roles": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>"
    }
  ],
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://auth0.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier for the group (service-generated).

Required string length: 18 - 26

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: x >= 1

Response

Group's roles successfully retrieved.

roles
object[]
required
next
string

A cursor to be used as the "from" query parameter for the next page of results.